org.apache.maven.scm.plugin

## Class StatusMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.scm.plugin.AbstractScmMojo
    - - org.apache.maven.scm.plugin.StatusMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class StatusMojo
    extends AbstractScmMojo

Display the modification status of the files in the configured scm url.

Version:
  $Id: StatusMojo.java 685670 2008-08-13 20:25:56Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`StatusMojo()`

### Method Summary

Methods
`void` `execute()`
`protected String` `getRelativePath(File baseDir, String path)` Formats the filename so that it is a relative directory from the base.

### Methods inherited from class org.apache.maven.scm.plugin.AbstractScmMojo

`checkResult, getConnectionUrl, getExcludes, getFileSet, getIncludes, getScmManager, getScmRepository, getScmVersion, getWorkingDirectory, setConnectionType, setConnectionUrl, setExcludes, setIncludes, setWorkingDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusMojo

    public StatusMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `AbstractScmMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### getRelativePath

    protected String getRelativePath(File baseDir,
                         String path)

Formats the filename so that it is a relative directory from the base.

Parameters:
  `baseDir` -
  `path` -
Returns:
  The relative path